<?php
/*
NOTICE OF LICENSE

This source file is subject to the NekloEULA that is bundled with this package in the file ICENSE.txt.

It is also available through the world-wide-web at this URL: http://store.neklo.com/LICENSE.txt

Copyright (c)  Neklo (http://store.neklo.com/)
*/


namespace Neklo\Scheduler\Model\ResourceModel\Job;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;
use Neklo\Scheduler\Api\Data\JobInterface;

class Collection extends AbstractCollection
{
    const MODEL = 'Neklo\Scheduler\Model\Job';
    const MODEL_RESOURCE = 'Neklo\Scheduler\Model\ResourceModel\Job';

    protected $_idFieldName = JobInterface::JOB_NAME;

    public function toOptionArray()
    {
        return $this->_toOptionArray(
            $this->_idFieldName,
            JobInterface::JOB_NAME
        );
    }

    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(static::MODEL, static::MODEL_RESOURCE);
    }
}
